Bug 12808 - smblcient doesn't handle STATUS_NOT_SUPPORTED gracefully for FSCTL_VALIDATE_NEGOTIATE_INFO
smblcient doesn't handle STATUS_NOT_SUPPORTED gracefully for FSCTL_VALIDATE_N...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
4.6.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-30 15:04 UTC by Andreas Schneider
Modified: 2017-06-20 08:33 UTC (History)
4 users (show)

See Also:


Attachments
git-am fix for 4.6.next, 4.5.next. (1.67 KB, patch)
2017-06-15 16:28 UTC, Jeremy Allison
asn: review+
jra: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-05-30 15:04:19 UTC
smblcient doesn't handle STATUS_NOT_SUPPORTED gracefully for FSCTL_VALIDATE_NEGOTIATE_INFO reported by a SMB2 server (NetApp).
Comment 2 Jeremy Allison 2017-06-15 16:28:33 UTC
Created attachment 13285 [details]
git-am fix for 4.6.next, 4.5.next.

Cherry-picked from master.
Comment 3 Andreas Schneider 2017-06-19 08:04:27 UTC
Karolin, please add the patch to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2017-06-19 09:05:15 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-06-20 08:33:44 UTC
Pushed to both branches.
Closing out bug report.

Thanks!